> For the complete documentation index, see [llms.txt](https://docs.kkiapay.me/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kkiapay.me/v1/en-1.0.0/plugin-et-sdk/frameworks/using-kkiapay-with-svelte.md).

# Using KKiaPay with Svelte

### Installation

Please run the following command :

```shell
npm install kkiapay@latest
```

### Importation&#x20;

You can now import the kkiapay dependency into your page :

```javascript
import {
  openKkiapayWidget,
  addKkiapayListener,
  removeKkiapayListener,
} from "kkiapay";
```

### Usage

Define a function that will display the KKiaPay Widget :&#x20;

```javascript
<script>
  import {
    openKkiapayWidget,
    removeKkiapayListener,
    addKkiapayListener,
  } from "kkiapay";

  function open() {
    openKkiapayWidget({
      amount: 1000,
      api_key: "xxxxxxxxxxxxxxxx",
      sandbox: true,
      phone: "97000000",
    });
  }
</script>
```

You can now use this function in your template to open the payment window :

```html
<main>
  <button on:click={open}> Pay now </button>
</main>
```

{% hint style="danger" %}
**Important !**&#x20;

To avoid fraud, perform the server-side verification of the transaction operation. Learn more about the [Admin SDKs (Server-Side)](/v1/en-1.0.0/plugin-et-sdk/admin-sdks-server-side.md).
{% endhint %}

You can subscribe to payment transaction events with the **addKkiapayListener** function. To be notified of the successful status of a payment transaction, you can proceed as follows :

```javascript
<script>
  import { onMount, onDestroy } from "svelte";
  import {
    openKkiapayWidget,
    removeKkiapayListener,
    addKkiapayListener,
  } from "kkiapay";

  function successHandler() {
    console.log("payment success...");
  }

  onMount(() => {
    addKkiapayListener("success", successHandler);
    console.log("the component has mounted");
  });
</script>
```

Because it is added in the mounted hook, the addKkiapayListener function will be called each time your component is rendered. If the component is returned n times, the function will be enrolled n times.&#x20;

In order to avoid memory leaks, we will need to delete the callback when the component is destroyed :

```javascript
​<script>
  //... others options
  onDestroy(() => {
    removeKkiapayListener("success", successHandler);
  });
</script>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kkiapay.me/v1/en-1.0.0/plugin-et-sdk/frameworks/using-kkiapay-with-svelte.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
